from dataclasses import dataclass, field


@dataclass
class ParselmouthSound:
	"""
	Objet that determine a sound thanks to caracteristic
	"""

	timestamps: list[int] = field(default_factory=list)
	# Shape (1, len(amplitudes))
	amplitudes: list[list[int]] = field(default_factory=list)
	sample_rate: int = 44100
